### Function

# Soup headers_parse

#### Declaration [src]

    gboolean
    soup_headers_parse (
      const char* str,
      int len,
      SoupMessageHeaders* dest
    )

#### Description [src]

Parses the headers of an HTTP request or response in `str` and stores the results in `dest`.

Beware that `dest` may be modified even on failure.

This is a low-level method; normally you would use `soup_headers_parse_request()` or `soup_headers_parse_response()`.

#### Parameters

`str` | `const char*`
| The header string (including the Request-Line or Status-Line, but not the trailing blank line)
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`len` | `int`
| Length of `str`.
`dest` | `SoupMessageHeaders`
| `SoupMessageHeaders` to store the header values in.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| Success or failure.